package cz.cuni.amis.pogamut.ut2004.communication.translator.itemdescriptor;


/**
 * A weapon factory takes care about all items which fall into a category Weapon. 
 *
 * @author Ondrej
 */
public class WeaponDescriptorFactory implements IDescriptorFactory<WeaponDescriptor> {

	private static WeaponDescriptorFactory instance = new WeaponDescriptorFactory();
	
	private WeaponDescriptorFactory() {}
	
	public static WeaponDescriptorFactory getInstance() {
		return instance;
	}

	@Override
	public WeaponDescriptor getNewDescriptor(ItemTyped configMsg) {
		WeaponDescriptor desc = new WeaponDescriptor();
		desc.doReflexion(configMsg, WeaponDescriptor.class);
	    return desc;
	}
}

